Subject: Re: CCL:Software from SGI PS to Mac PS?

From: Konrad Hinsen <[email-masked]>
Date: Mon, 9 Sep 96 09:52:07 +0100

> I have a closely related question. Does anyone know a program that can
> EDIT PS files. The minimum requirement is the ability to blow up / reduce
> images along each axis. Preferable platforms are SGI or IBM RS/6000.

Most programs that import EPS files can also scale them (note that I
wrote "EPS", not "PS"). This is sufficient for most applications that
I can think of. If I do have to change the size of a PostScript image
manually, I simply add a statement using a standard text editor.
The statement is something like
   1.5 2. scale
(which will scale everything that follows by 1.5 in the x direction
and by 2 in the y direction). Where exactly to put it unfortunately
depends on the way the original file was created. In general, it
should be as close to the beginning as possible (although the
patched file might then no longer follow the conventions for
header comments). In practice trial and error might be the best
solution, if learning PostScript in detail looks like too much
of an effort.
-- 
-------------------------------------------------------------------------------
Konrad Hinsen                          | E-Mail: [email-masked]
Laboratoire de Dynamique Moleculaire   | Tel.: +33-76.88.99.28
Institut de Biologie Structurale       | Fax:  +33-76.88.54.94
41, Ave. des Martyrs                   | Deutsch/Esperanto/English/
38027 Grenoble Cedex 1, France         | Nederlands/Francais
-------------------------------------------------------------------------------

---

From: Konrad Hinsen <[email-masked]>
Date: Mon, 9 Sep 96 11:46:04 +0100

> The problem that the original poster may well be having is the need for an
> _encapsulated_ PostScript file.  Whereas PostScript is a defined
> cross-platform language made commercially by Adobe, and as such is "one"
> format, EPS is an implementation that differs significantly among platforms
> and even applications on the same platform.  The utility pstoeps (available

Not quite. Unfortunately the term "Encapsulated PostScript" is used
for two different things. Originally it referred to a special kind of
PostScript file with some limitations (e.g. only one page) and a
special set of comments indicating size, fonts etc. The idea is that
programs can read in these EPS files and integrate them into a larger
PostScript document. Any desktop publisher can do that, and also some
graphics programs and the TeX dvips program. Any EPS file is a valid
PostScript file, but the inverse is not necessarily true. And of
course EPS files are just as machine-independent as general PS files,
although some EPS files may include additional information (such as a
preview bitmap) that might not be useful on all platforms. Most
programs that produce images in PostScript format can produce EPS or
even do so automatically.

The confusion about EPS began when some programs (e.g. Adobe Illustrator)
started to usea *subset* of EPS as an ordinary graphics file format that
can be read in and analyzed without having a full PostScript interpreter.
Instead of choosing a distinct name for this subset, people started
to call this "EPS" too. There is some variation in the format for this
kind of file, i.e. it can't be interchanged freely between platforms
and programs.
-- 
-------------------------------------------------------------------------------
Konrad Hinsen                          | E-Mail: [email-masked]
Laboratoire de Dynamique Moleculaire   | Tel.: +33-76.88.99.28
Institut de Biologie Structurale       | Fax:  +33-76.88.54.94
41, Ave. des Martyrs                   | Deutsch/Esperanto/English/
38027 Grenoble Cedex 1, France         | Nederlands/Francais
-------------------------------------------------------------------------------